package com.zt.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResultVo<T> implements Serializable {
    private Integer code;
    private String msg;
    private T data;

    public static <T> ResultVo<T> success(T data) {
        return new ResultVo<>(200, "成功", data);
    }

    public static <T> ResultVo<T> fail(Integer code, String msg) {
        return new ResultVo<>(code, msg, null);
    }
}
